as.echosounder {oce} | R Documentation

## Coerce data into echosounder dataset

### Description

Coerces a dataset into a echosounder dataset.

### Usage

    as.echosounder(time, depth, a, src="",
                   sourceLevel=220,
                   receiverSensitivity=-55.4,
                   transmitPower=0,
                   pulseDuration=400,
                   beamwidthX=6.5, beamwidthY=6.5,
                   frequency=41800,
                   correction=0)

### Arguments

`time` | times of pings
`depth` | depths of samples within pings
`a` | matrix of amplitudes
`src` | optional string indicating data source
`sourceLevel` | source level, in dB(uPa@1m), denoted `sl` in [1 p15], where it is in units 0.1dB(uPa@1m)
`receiverSensitivity` | receiver sensivity of the main element, in dB(counts/uPa), denoted `rs` in [1 p15], where it is in units of 0.1dB(counts/uPa)
`transmitPower` | transmit power reduction factor, in dB, denoted `tpow` in [1 p10], where it is in units 0.1 dB.
`pulseDuration` | duration of transmited pulse in us
`beamwidthX` | x-axis -3dB one-way beamwidth in deg, denoted `bwx` in [1 p16], where the unit is 0.2 deg
`beamwidthY` | y-axis -3dB one-way beamwidth in deg, denoted `bwx` in [1 p16], where the unit is 0.2 deg
`frequency` | transducer frequency in Hz, denoted `fq` in [1 p16]
`correction` | user-defined calibration correction in dB, denoted `corr` in [1 p14], where the unit is 0.01dB.

### Details

Creates an echosounder file. The defaults for e.g. `transmitPower` are taken from the `echosounder` dataset, and they are unlikely to make sense generally.

### Value

An object of `class` `"echosounder"`; for details of this data type, see `echosounder-class`).

### Author(s)

Dan Kelley

### See Also

The documentation for `echosounder-class` explains the structure of `echosounder` objects, and also outlines the other functions dealing with them.

[Package oce version 0.9-18 Index]